part of 'profile_bloc.dart';

abstract class ProfileState extends Equatable {
  const ProfileState();
  
  @override
  List<Object> get props => [];
}

class ProfileInitial extends ProfileState {}

class ProfileLoaded extends ProfileState{
  final ProfileInformation profileInformation;
    const ProfileLoaded({required this.profileInformation});
  @override
  List<Object> get props => [profileInformation];
}

class ProfileErrorState extends ProfileState{
  final String mesage;
  const ProfileErrorState({required this.mesage});
    @override
  List<Object> get props => [mesage];
}

class ProfileLoading extends ProfileState{

}

