import 'package:unit2/model/profile/basic_info.dart';
import 'package:unit2/model/profile/basic_information/primary-information.dart';
import 'package:unit2/model/profile/educational_background.dart';
import 'package:unit2/model/profile/eligibility.dart';
import 'package:unit2/model/profile/family_backround.dart';
import 'package:unit2/model/profile/learning_development.dart';
import 'package:unit2/model/profile/other_info.dart';
import 'package:unit2/model/profile/references.dart';
import 'package:unit2/model/profile/voluntary_works.dart';
import 'package:unit2/model/profile/work_history.dart';

class ProfileInformation{
   BasicInfo basicInfo;
   OtherInformation otherInformation;
   List<EligibityCert> eligibilities;
   List<PersonalReference> references;
   List<LearningDevelopement> learningsAndDevelopment;
   List<EducationalBackground> educationalBackgrounds;
   List<FamilyBackground> families;
   List<WorkHistory>workExperiences;
   List<VoluntaryWork> voluntaryWorks;
  ProfileInformation({required this.families, required this.otherInformation, required this.voluntaryWorks, required this.workExperiences, required this.basicInfo,required this.eligibilities,required this.references, required this.learningsAndDevelopment,required this.educationalBackgrounds});
}